<?php

namespace Drupal\micronode_block\Plugin\EntityBrowser\Widget;

use Drupal\micronode_block\MicronodeBlockEntityBrowserWidgetTrait;
use Drupal\entity_browser\Plugin\EntityBrowser\Widget\View;

/**
 * Uses a view to provide entity listing in a browser's widget.
 *
 * @EntityBrowserWidget(
 *   id = "micronode_block_view",
 *   label = @Translation("View (Micronode Block)"),
 *   provider = "views",
 *   description = @Translation("Uses a view to provide entity listing in a browser's widget, treating 'Micronode' and 'Microcontent' as tokens in label and link text."),
 *   auto_select = TRUE
 * )
 */
class MicronodeBlockView extends View {

  use MicronodeBlockEntityBrowserWidgetTrait;

}
