<?php

namespace Drupal\micronode_block\Plugin\EntityBrowser\Widget;

use Drupal\micronode_block\MicronodeBlockEntityBrowserWidgetTrait;
use Drupal\entity_browser_entity_form\Plugin\EntityBrowser\Widget\EntityForm;

/**
 * MicronodeBlock entity form widget.
 *
 * @EntityBrowserWidget(
 *   id = "micronode_block_entity_form",
 *   label = @Translation("Entity form (Micronode Block)"),
 *   description = @Translation("Provides entity form widget, treating 'Micronode' and 'Microcontent' as tokens in label and link text."),
 *   auto_select = FALSE
 * )
 */
class MicronodeBlockEntityForm extends EntityForm {

  use MicronodeBlockEntityBrowserWidgetTrait;

}
